Skip to main content
POST
Search Cast avatars and backgrounds

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Body

application/json

Body

kind
enum<string>
required
Available options:
avatar,
background
pageSize
integer
default:50
Required range: 0 < x <= 100
cursor
string
Required string length: 1 - 4096
includeCount
boolean
default:false
roster
enum<string>
default:all
Available options:
all,
custom,
melius

Response

200

data
object[]
required
pageSize
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
count
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
hasMore
boolean
required
nextCursor
string | null
required
Required string length: 1 - 4096